listMessages
Retrieves a list of Message you’ve previously created. The messages are returned in sorted order, with the most recent appearing first. The list can be filtered using Tags.
GET
/v1/chat/messagesAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Query parameters
nextToken?stringProvide the `meta.nextToken` value provided in the last API response to retrieve the next page of results
pageSize?integerNumber of items to return per page (default 20, max 100)
conversationId?stringConversation id
tags?objectFilter by tags
afterDate?stringDate in ISO 8601 string with UTC timezone after which the message was created (inclusive)
beforeDate?stringDate in ISO 8601 string with UTC timezone before which the message was created (inclusive)
Response
Returns a list of Message objects.
messagesobject[]metaobject